Debian DSA-4734-1 : openjdk-11 - security update

high Nessus Plugin ID 139010

Synopsis

The remote Debian host is missing a security-related update.

Description

Several vulnerabilities have been discovered in the OpenJDK Java runtime, resulting in denial of service, bypass of access/sandbox restrictions or information disclosure.

Solution

Upgrade the openjdk-11 packages.

For the stable distribution (buster), these problems have been fixed in version 11.0.8+10-1~deb10u1.

See Also

https://security-tracker.debian.org/tracker/source-package/openjdk-11

https://packages.debian.org/source/buster/openjdk-11

https://www.debian.org/security/2020/dsa-4734

Plugin Details

Severity: High

ID: 139010

File Name: debian_DSA-4734.nasl

Version: 1.3

Type: local

Agent: unix

Published: 7/28/2020

Updated: 5/13/2022

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

CVSS Score Source: CVE-2020-14556

VPR

Risk Factor: High

Score: 7.3

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.3

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:openjdk-11, cpe:/o:debian:debian_linux:10.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 7/26/2020

Vulnerability Publication Date: 7/15/2020

Reference Information

CVE: CVE-2020-14556, CVE-2020-14562, CVE-2020-14573, CVE-2020-14577, CVE-2020-14578, CVE-2020-14579, CVE-2020-14581, CVE-2020-14583, CVE-2020-14593, CVE-2020-14621

DSA: 4734